Name:           ntfs-3g
BuildRequires:  fuse-devel pkgconfig
License:        GPL
Group:          System/Filesystems
Summary:        NTFS-3G Read/Write Driver
Version:        1.417
Release:        1
URL:            http://www.ntfs-3g.org/
Source:         http://www.ntfs-3g.org/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
The NTFS-3G driver is an open source, freely available NTFS driver for Linux
with read and write support. It provides safe and fast handling of the Windows
XP, Windows Server 2003, Windows 2000 and Windows Vista file systems. Most POSIX
file system operations are supported, with the exception of full file ownership
and access right support.

The purpose of the project is to develop, continuously quality test and support
a trustable, feature rich and high performance solution for hardware platforms
and operating systems whose users need to reliably interoperate with NTFS.
Besides this practical goal, the project also aims to explore the limits of a
hybrid, kernel/user space file system driver approach. Performance, reliability
and feature richness per invested effort are being examined.

The driver is in STABLE status.

%package devel
Group:          Development/Libraries
Summary:        Development package for %{name}
Requires:       %{name} = %{version}

%description devel
Development package for %{name}.

%debug_package
%prep
%setup -q
autoreconf -fi

%build
%configure --disable-ldconfig
make %{?jobs:-j %jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING CREDITS NEWS README
/sbin/mount.ntfs-3g
%{_bindir}/ntfs-3g
%{_mandir}/man8/mount.ntfs-3g.8*
%{_mandir}/man8/ntfs-3g.8*
%{_libdir}/libntfs-3g.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libntfs-3g.a
%exclude %{_libdir}/libntfs-3g.la
%{_libdir}/libntfs-3g.so
%{_includedir}/ntfs-3g

%changelog
* Fri May 11 2007 - joe_morris@ntm.org
- Update to 1.417
* Wed Mar 28 2007 - andreas.hanke@gmx-topmail.de
- Update to version 1.328:
  * new: --disable-ldconfig configure option
  * new: use the 'nonempty' FUSE mount option by default, so the driver behaves
    as the in-kernel file systems
  * fix: fakeraid/softraid detection was incorrect
  * change: major performance improvement for writing large files (new block
    allocator)
  * change: manual update, added access handling, security section
* Fri Mar 02 2007 - darix@suse.de
- use pkgconfig for compat with 10.0
* Fri Mar 02 2007 - andreas.hanke@gmx-topmail.de
- Exclude libntfs-3g.la because it has an empty dependency_libs line.
* Fri Feb 23 2007 - andreas.hanke@gmx-topmail.de
- Initial package, version 1.0.
